HTTPDIRFS(1)

NAME
HTTPDirFS - filesystem client for HTTP directory listing

SYNOPSIS
httpdirfs [options] URL mountpoint

DESCRIPTION
HTTPDirFS is program that can be used to mount HTTP directory listings (generated using an Apache DirectoryIndex, for example) as a virtual filesystem through the FUSE interface. It supports HTTP basic authentication and proxy.

OPTIONS

  General options:

-o opt,[opt...]
    mount options

-h   --help
    print help

-V   --version
    print version

  HTTPDirFS options:

-u  --username
    HTTP authentication username

-p  --password
    HTTP authentication password

-P  --proxy
    Proxy for libcurl, for more details refer to https://curl.haxx.se/libcurl/c/CURLOPT_PROXY.html

--proxy-username
    Username for the proxy

--proxy-password
    Password for the proxy

--cache
    Enable cache (default: off)

--cache-location
    Set a custom cache location (default: "${XDG_CACHE_HOME}/httpdirfs")

--dl-seg-size
    Set cache download segment size, in MB (default: 8) Note: this setting is ignored if previously cached data is found for the requested file.

--max-seg-count
    Set maximum number of download segments a file can have. (default: 128*1024) With the default setting, the maximum memory usage per file is 128KB. This allows caching files up to 1TB in size using the default segment size.

--max-conns
    Set maximum number of network connections that libcurl is allowed to make. (default: 10)

--retry-wait
    Set delay in seconds before retrying an HTTP request after encountering an error. (default: 5)

--user-agent
    Set user agent string (default: "HTTPDirFS")

  FUSE options:

-d   -o debug
    enable debug output (implies -f)

-f  foreground operation

-s  disable multi-threaded operation

-o allow_other
    allow access to other users

-o allow_root
    allow access to root

-o auto_unmount
    auto unmount on process termination

-o nonempty
    allow mounts over non-empty file/dir

-o default_permissions enable permission checking by kernel

-o fsname=NAME
    set filesystem name

-o subtype=NAME
    set filesystem type

-o large_read
    issue large read requests (2.4 only)

-o max_read=N
    set maximum size of read requests

-o hard_remove
    immediate removal (don't hide files)

-o use_ino
    let filesystem set inode numbers

-o readdir_ino
    try to fill in d_ino in readdir

-o direct_io
    use direct I/O

-o kernel_cache
    cache files in kernel

-o [no]auto_cache
    enable caching based on modification times (off)

-o umask=M
    set file permissions (octal)

-o uid=N
    set file owner

-o gid=N
    set file group

-o entry_timeout=T
    cache timeout for names (1.0s)

-o negative_timeout=T
    cache timeout for deleted names (0.0s)

-o attr_timeout=T
    cache timeout for attributes (1.0s)

-o ac_attr_timeout=T
    auto cache timeout for attributes (attr_timeout)

-o noforget
    never forget cached inodes

-o remember=T
    remember cached inodes for T seconds (0s)

-o nopath
    don't supply path if not necessary

-o intr
    allow requests to be interrupted

-o intr_signal=NUM
    signal to send on interrupt (10)

-o modules=M1[:M2...]
    names of modules to push onto filesystem stack

-o max_write=N
    set maximum size of write requests

-o max_readahead=N
    set maximum readahead

-o max_background=N
    set number of maximum background requests

-o congestion_threshold=N
    set kernel's congestion threshold

-o async_read
    perform reads asynchronously (default)

-o sync_read
    perform reads synchronously

-o atomic_o_trunc
    enable atomic open+truncate support

-o big_writes
    enable larger than 4kB writes

-o no_remote_lock
    disable remote file locking

-o no_remote_flock
    disable remote file locking (BSD)

-o no_remote_posix_lock disable remove file locking (POSIX)

-o [no_]splice_write
    use splice to write to the fuse device

-o [no_]splice_move
    move data while splicing to the fuse device

-o [no_]splice_read
    use splice to read from the fuse device

Module options:

[iconv]

-o from_code=CHARSET
    original encoding of file names (default: UTF-8)

-o to_code=CHARSET
    new encoding of the file names (default: ANSI_X3.4-1968)

[subdir]

-o subdir=DIR
    prepend this directory to all paths (mandatory)

-o [no]rellinks
    transform absolute symlinks to relative

AUTHORS

HTTPDirFS has been written by Fufu Fang <fangfufu2003@gmail.com>.

This manpage was written by Jerome Charaoui <jerome@riseup.net> for the Debian GNU/Linux distribution (but it may be used by others).